uuagc

GrammarInfo

# Documentation

type LMH = (Vertex, Vertex, Vertex)

data Info

Constructors

Info |
Fields tdpToTds :: Table Vertex tdsToTdp :: Table [Vertex] attrTable :: Table NTAttr ruleTable :: Table CRule lmh :: [LMH] nonts :: [(NontermIdent, [ConstructorIdent])] wraps :: Set NontermIdent

Instances

Show Info |

type CInterfaceMap = Map NontermIdent CInterface

type CVisitsMap = Map NontermIdent (Map ConstructorIdent CVisits)

data CycleStatus

Constructors

CycleFree CInterfaceMap CVisitsMap |
LocalCycle [Route] |
InstCycle [Route] |
DirectCycle [EdgeRoutes] |
InducedCycle CInterfaceMap [EdgeRoutes] |

showsSegment :: CSegment -> [String]